SMP_REP_PHY_SATA(8)

NAME
smp_rep_phy_sata - invoke REPORT PHY SATA SMP function

SYNOPSIS
smp_rep_phy_sata [--affiliation=AC] [--help] [--hex] [--interface=PARAMS] [--phy=ID] [--raw] [--sa=SAS_ADDR] [--verbose] [--version] [--zero] SMP_DEVICE[,N]

DESCRIPTION

Sends a SAS Serial Management Protocol (SMP) REPORT PHY SATA request function to an SMP target. The SMP target is identified by the SMP_DEVICE and the SAS_ADDR. Depending on the interface, the SAS_ADDR may be deduced from the SMP_DEVICE. The mpt interface uses SMP_DEVICE to identify an HBA (an SMP initiator) and needs the additional ,N to differentiate between HBAs if there are multiple present.

-a, --affiliation=AC
    where AC is the affiliation context relative identifier that is placed in request (new in sas2r08). Defaults to 0.

-h, --help
    output the usage message then exit.

-H, --hex
    output the response (less the CRC field) in hexadecimal.

-I, --interface=PARAMS
    interface specific parameters. In this case "interface" refers to the path through the operating system to the SMP initiator. See the smp_utils man page for more information.

-p, --phy=ID
    phy identifier. ID is a value between 0 and 254. Default is 0.

-r, --raw
    send the response (less the CRC field) to stdout in binary. All error messages are sent to stderr.

-s, --sa=SAS_ADDR
    specifies the SAS address of the SMP target device. Typically this is an expander. This option may not be needed if the SMP_DEVICE has the target's SAS address within it. The SAS_ADDR is in decimal but most SAS addresses are shown in hexadecimal. To give a number in hexadecimal either prefix it with '0x' or put a trailing 'h' on it.

-v, --verbose
    increase the verbosity of the output. Can be used multiple times

-V, --version
    print the version string and then exit.

-z, --zero
    zero the Allocated Response Length field in the request. This option also zeros the Request Length field in the request. This is required for strict SAS-1.1 compliance. However this option should not be given in SAS-2 and later; if it is given an abridged response may result.

EXAMPLES
See "Examples" section in http://sg.danny.cz/sg/smp_utils.html

CONFORMING TO
The SMP REPORT PHY SATA function was introduced in SAS-1 . The "Expander change count", "STP I_T nexus loss occurred" and several other fields were added in SAS-2 .

AUTHORS
Written by Douglas Gilbert.

REPORTING BUGS
Report bugs to <dgilbert at interlog dot com>.

COPYRIGHT
Copyright © 2006-2011 Douglas Gilbert
This software is distributed under a FreeBSD license. There is NO warranty; not even for MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.

SEE ALSO
smp_utils, smp_phy_control(smp_utils)